SystemOrganization addCategory: #'Bindings-Tests'!

TestCase subclass: #BindingsTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Bindings-Tests'!

!BindingsTest methodsFor: 'testing' stamp: 'tbn 7/11/2012 09:50'!
testBindWith

	self assert: ('Hello%1orld' bindWith: $W asString) = 'HelloWorld' ! !

!BindingsTest methodsFor: 'testing' stamp: 'tbn 7/11/2012 09:48'!
testBindWithArguments

	self assert: ('He%1o%2orld' bindWithArguments:  #('ll' 'W'))  = 'HelloWorld'! !

!BindingsTest methodsFor: 'testing' stamp: 'tbn 7/11/2012 09:52'!
testBindWithWith

	self assert: ('Hello%1orl%2' bindWith: $W asString with: $d asString) = 'HelloWorld' ! !

!BindingsTest methodsFor: 'testing' stamp: 'tbn 7/11/2012 09:52'!
testBindWithWithWith

	self assert: ('Hello%1o%2l%3' bindWith: $W asString with: $r asString with: $d asString) = 'HelloWorld' ! !

!BindingsTest methodsFor: 'testing' stamp: 'tbn 7/11/2012 09:57'!
testEmptyReplacement

	self assert: ('Nothing%1 to replace' bindWith: String empty) = 'Nothing to replace'! !

!BindingsTest methodsFor: 'testing' stamp: 'tbn 7/11/2012 09:57'!
testMoreArgumentsThanNecessary

	self assert: ('Only %1 days left' bindWithArguments: #('10' 2)) = 'Only 10 days left'! !

!BindingsTest methodsFor: 'testing' stamp: 'tbn 7/11/2012 10:01'!
testNothingToReplace
	|orig result |
	orig := 'Simple test'.
	result := orig bindWith: 'not inserted'.
	self assert: result = 'Simple test'.
	self deny: result == orig.! !
